[metadata]
name = glue-core
url = http://glueviz.org
author = Thomas Robitaille, Chris Beaumont
author_email = glueviz@gmail.com
classifiers = 
	Intended Audience :: Science/Research
	Operating System :: OS Independent
	Programming Language :: Python
	Programming Language :: Python :: 3
	Programming Language :: Python :: 3.6
	Programming Language :: Python :: 3.7
	Programming Language :: Python :: 3.8
	Topic :: Scientific/Engineering :: Visualization
	License :: OSI Approved :: BSD License
description = Multidimensional data visualization across files
long_description = file: README.rst

[options]
zip_safe = False
packages = find:
python_requires = >=3.6
setup_requires = setuptools_scm
install_requires = 
	numpy>=1.16
	matplotlib>=3.2
	scipy>=1.0
	pandas>=1.0
	echo>=0.5
	astropy>=4.0
	setuptools>=30.3.0
	qtpy>=1.9
	ipython>=4.0
	ipykernel>=4.0,!=5.0.0,!=5.1.0
	qtconsole>=4.3
	jupyter_client<7
	dill>=0.2
	xlrd>=1.2
	h5py>=2.10
	mpl-scatter-density>=0.7
	bottleneck>=1.2

[options.entry_points]
glue.plugins = 
	export_d3po = glue.plugins.export_d3po:setup
	pv_slicer = glue.plugins.tools.pv_slicer.qt:setup
	coordinate_helpers = glue.plugins.coordinate_helpers:setup
	wcs_autolinking = glue.plugins.wcs_autolinking:setup
	dendro_factory = glue.plugins.dendro_viewer:setup
	dendro_viewer = glue.plugins.dendro_viewer.qt:setup
	image_viewer = glue.viewers.image.qt:setup
	scatter_viewer = glue.viewers.scatter.qt:setup
	histogram_viewer = glue.viewers.histogram.qt:setup
	profile_viewer = glue.viewers.profile.qt:setup
	table_viewer = glue.viewers.table.qt:setup
	data_exporters = glue.core.data_exporters:setup
	fits_format = glue.io.formats.fits:setup
	export_python = glue.plugins.tools:setup
	directory_importer = glue.io.qt.directory_importer:setup
console_scripts = 
	glue-config = glue.config_gen:main
	glue-deps = glue._deps:main
gui_scripts = 
	glue = glue.main:main

[options.extras_require]
all = 
	scipy
	scikit-image
	PyAVM
	astrodendro
	spectral-cube
	pillow!=7.1.0
docs = 
	sphinx
	sphinx-automodapi
	sphinxcontrib-spelling
	numpydoc
	sphinx-rtd-theme
astronomy = 
	PyAVM
	astrodendro
	spectral-cube
recommended = 
	scikit-image
qt = 
	PyQt5>=5.9
test = 
	pytest
	pytest-cov
	pytest-faulthandler
	objgraph

[options.package_data]
* = *.png, *.ui, *.glu, *.hdf5, *.fits, *.xlsx, *.txt, *.csv, *.svg, *.vot
glue.core.data_factories.tests = data/*.jpg
glue.external.pvextractor = LICENSE
glue.viewers.histogram.qt.tests = data/*.glu
glue.viewers.image.qt.tests = data/*.glu, baseline/*.png
glue.viewers.profile.qt.tests = data/*.glu
glue.viewers.scatter.qt.tests = data/*.glu

[flake8]
ignore = E501,E731,F841,E127,E741,E402,W504,W605

[tool:pytest]
addopts = -p no:logging
flake8-ignore = E501,E731,F841,E127,E741,E402,W504,W605
filterwarnings = 
	ignore::PendingDeprecationWarning:xlrd
	ignore:Session._key_changed is deprecated
	ignore:zmq.* is deprecated
	ignore:can't be aliased because it is another magic command
	ignore:DragAndDropTerminal._style_sheet_changed is deprecated
	ignore:::ipykernel
	ignore:Accessing zmq Socket attribute
	ignore:'U' mode is deprecated:DeprecationWarning:PyQt5

[coverage:run]
omit = 
	glue/*tests/*
	glue/qt/ui/*
	glue/core/odict.py,
	glue/core/glue_pickle.py
	glue/external/*
	*/glue/*tests/*
	*/glue/qt/ui/*
	*/glue/core/odict.py,
	*/glue/core/glue_pickle.py
	*/glue/external/*

[coverage:paths]
source = 
	glue/
	*/site-packages/glue
	*\site-packages\glue

[coverage:report]
exclude_lines = 
	pragma: no cover
	except ImportError
	raise AssertionError
	raise NotImplementedError
	def main\(.*\):
	pragma: py{ignore_python_version}
	def _ipython_key_completions_

[egg_info]
tag_build = 
tag_date = 0

